Page MenuHomePhabricator

'Announce this newsletter' should have a separate special page ?
Closed, ResolvedPublic

Description

in https://phabricator.wikimedia.org/T116353#1747408 @MZMcBride writes:

not sure "announce this newsletter" should live under "manage newsletters"... there should probably be a dedicated Special page for this?

Link to issue location : http://newsletter-test.wmflabs.org/wiki/Special:ManageNewsletter

Details

Related Gerrit Patches:
mediawiki/extensions/Newsletter : masterRemove announce form from Special:ManageNewsletter
mediawiki/extensions/Newsletter : masterAdd announce page to Special:Newsletter

Event Timeline

01tonythomas raised the priority of this task from to Medium.
01tonythomas updated the task description. (Show Details)
Qgil added a subscriber: Qgil.Oct 30 2015, 4:06 PM

Less is more? Announcing a new issue sound like "managing newsletters" to me.

I would wait for real users and their feedback to change it.

I am in favor of doing this. Probably under Special:Newsletter/X/announce. Having two many forms in one page is distracting and not good user experience.

Glaisher renamed this task from Consensus required : 'Announce this newsletter' should have a separate special page ? to 'Announce this newsletter' should have a separate special page ?.Oct 31 2015, 11:11 AM
Glaisher set Security to None.
Qgil added a comment.Nov 12 2015, 12:08 PM

In any case, we don't think that this is a blocker for deployment.

Qgil lowered the priority of this task from Medium to Low.Nov 12 2015, 12:08 PM
Glaisher claimed this task.Nov 12 2015, 3:11 PM

Change 252707 had a related patch set uploaded (by Glaisher):
Add announce page to Special:Newsletter

https://gerrit.wikimedia.org/r/252707

Change 252708 had a related patch set uploaded (by Glaisher):
Remove announce form from Special:ManageNewsletter

https://gerrit.wikimedia.org/r/252708

Change 252707 merged by jenkins-bot:
Add announce page to Special:Newsletter

https://gerrit.wikimedia.org/r/252707

Change 252708 merged by jenkins-bot:
Remove announce form from Special:ManageNewsletter

https://gerrit.wikimedia.org/r/252708

Glaisher closed this task as Resolved.Nov 16 2015, 4:45 PM